SAMBA_DOWNGRADE_DB(8)

NAME
samba_downgrade_db - Samba tool for downgrading AD databases

SYNOPSIS

samba_downgrade_db [-H] [-s]

DESCRIPTION

This tool is part of the samba(8) suite.

The format of the Samba Active Directory (AD) database changed in version 4.8 and 4.11. When downgrading a Samba AD Domain Controller (DC) to a release that is older than either of these versions (e.g. 4.11 to 4.10), the AD database must be manually downgradedbefore the Samba packages can be safely downgraded.

This tool downgrades a Samba sam.ldb database from the format used in version 4.17.10 to that of version 4.7. The v4.7 database format can safely be read by any version of Samba. If necessary, later versions of Samba will repack and reconfigure a v4.7-format database when the samba executable is first started.

Note that all Samba services must be stopped on the DC before running this tool. Once the tool has run, do not restart samba or modify the database before the Samba software package has been downgraded.

OPTIONS

-H [sam.ldb file]
    Link directly to a sam.ldb file instead of using path in system smb.conf

-s [smb.conf file]
    Link directly to smb.conf file instead of system default (usually in /usr/local/samba/etc/smb.conf)

VERSION

This man page is complete for version 4.17.10 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The samba_downgrade_db tool was developed by the Samba team at Catalyst IT Ltd.